Gst::ColorBalanceChannel Class Reference
gstreamermm Interfaces

A class that represents a color balance channel. More...

`#include <gstreamermm/colorbalancechannel.h>`

Inherits Object.

## Public Member Functions

| ColorBalanceChannel (ColorBalanceChannel&& src) noexcept
ColorBalanceChannel& | operator= (ColorBalanceChannel&& src) noexcept
| ~ColorBalanceChannel () noexcept override
GstColorBalanceChannel* | gobj ()
| Provides access to the underlying C GObject. More...
const GstColorBalanceChannel* | gobj () const
| Provides access to the underlying C GObject. More...
GstColorBalanceChannel* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
Glib::ustring | get_label () const
| Get a string containing a descriptive name for this channel. More...
int | get_min_value () const
| Get the minimum valid value for this channel. More...
int | get_max_value () const
| Get the maximum valid value for this channel. More...
Glib::SignalProxy< void, int > | signal_value_changed ()

## Static Public Member Functions

static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...

## Protected Member Functions

virtual void | on_value_changed (int value)
| This is a default handler for the signal signal_value_changed(). More...

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr< Gst::ColorBalanceChannel > | wrap (GstColorBalanceChannel* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Detailed Description

A class that represents a color balance channel.

The Gst::ColorBalanceChannel object represents a parameter for modifying the color balance implemented by an element providing the Gst::ColorBalance interface. For example, Hue or Saturation.

Last reviewed on 2016-05-16 (1.8.0)

## Constructor & Destructor Documentation

## ColorBalanceChannel()

Gst::ColorBalanceChannel::ColorBalanceChannel | ( | ColorBalanceChannel&& | src | ) |

noexcept

## ~ColorBalanceChannel()

Gst::ColorBalanceChannel::~ColorBalanceChannel | ( |  | ) |

override noexcept

## Member Function Documentation

## get_label()

Glib::ustring Gst::ColorBalanceChannel::get_label | ( |  | ) | const

Get a string containing a descriptive name for this channel.

## get_max_value()

int Gst::ColorBalanceChannel::get_max_value | ( |  | ) | const

Get the maximum valid value for this channel.

## get_min_value()

int Gst::ColorBalanceChannel::get_min_value | ( |  | ) | const

Get the minimum valid value for this channel.

## get_type()

static GType Gst::ColorBalanceChannel::get_type | ( |  | ) |

static

Get the GType for this class, for use with the underlying GObject type system.

## gobj() [1/2]

GstColorBalanceChannel* Gst::ColorBalanceChannel::gobj | ( |  | ) |

inline

Provides access to the underlying C GObject.

## gobj() [2/2]

const GstColorBalanceChannel* Gst::ColorBalanceChannel::gobj | ( |  | ) | const

inline

Provides access to the underlying C GObject.

## gobj_copy()

GstColorBalanceChannel* Gst::ColorBalanceChannel::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

## on_value_changed()

virtual void Gst::ColorBalanceChannel::on_value_changed | ( | int | value | ) |

protected virtual

This is a default handler for the signal signal_value_changed().

## operator=()

ColorBalanceChannel& Gst::ColorBalanceChannel::operator= | ( | ColorBalanceChannel&& | src | ) |

noexcept

## signal_value_changed()

Glib::SignalProxy< void,int > Gst::ColorBalanceChannel::signal_value_changed | ( |  | ) |

Slot Prototype:
  `void on_my_value_changed(int value)`

Fired when the value of the indicated channel has changed.

Parameters

  value | The new value.

## Friends And Related Function Documentation

## wrap()

Glib::RefPtr< Gst::ColorBalanceChannel > wrap | ( | GstColorBalanceChannel * | object,
|  | bool | take_copy = `false`
| ) |  |

related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.